#include "ReShade.fxh"
texture HudTex	< source = "crosshair.png"; > {Width = 32; Height = 32; Format = RGBA8;};
sampler	HudColor 	{ Texture = HudTex; AddressU = BORDER; AddressV = BORDER; AddressW = BORDER; MagFilter = POINT;};

float4 PS_Hud(float4 vpos : SV_Position, float2 texcoord : TEXCOORD) : SV_Target
{
    float2 texcoordHud = texcoord;
	texcoordHud.x = texcoord.x*ReShade::ScreenSize.x/32-ReShade::ScreenSize.x/64+0.5;
	texcoordHud.y = texcoord.y*ReShade::ScreenSize.y/32-ReShade::ScreenSize.y/64+0.5;
	float4 hud = tex2D(HudColor, texcoordHud);
	return lerp(tex2D(ReShade::BackBuffer, texcoord),hud,hud.a);
}

technique Hud_Tech
{
	pass HudPass
	{
		VertexShader = PostProcessVS;
		PixelShader = PS_Hud;
	}
}